Subject: Re: Missing files stdio.h problems still......
From: [email-masked] (jman)

28 May 1997 10:15:31 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (Win95; I)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

howdy,
  Yea I see what I did. I went an was trying to change all the ^m's at
once an hit the 
gnuwin32 dir also :(
 Oh well I allready installed an it works. Your idea about the perl
script would be great is anyone good enough with perl to pull this off
for windows. I have perl installed just only use it for some small
things ;). Seeing I'm sure or at least I hope I ain't the only one with
^m's in files it would be a good thing for alot of people...

$Bill Luebkert wrote:
> 
> jman wrote:
> >
> > I don't know if this is a bug. I have installed gnuwin32 correct I'm not
> > new to this ;) but I am kinda new to unix. I don't consider myself a
> > Unix guru for anything but I am learning. I worked on all the help I
> > could get. I converted now my setup is text=binary not text!=binary I
> > cleaned my registery boy did it need it. I also went converting files
> > using these to commands to remove \r's from my files...
> > :$ cat filename|tr -d \r >newfile;mv newfile filename
> >
> > or to convert a whole directory you can do
> >
> > :$ for file in *;do cat $file|tr -d \r>tmpname;mv tmpname;$file
> 
> I think like this is good:
> 
> for file in *; do cat $file | tr -d \r >tmpname; mv tmpname $file; done
> 
> > The first one works to remove 1 file at a time but the second don't...
> > it just goes to
> > >
> > in bash an stay there...
> >
> > Then I ran another program I don't know if this is a bug in stdio.h but
> > this file is missing :(
> > its included in stdio.h but it is not in sys\
> >
> > /*
> >  * <sys/eent.h> defines __sFILE, _fpos_t.
>           ^
>           reent.h
> >  * They must be defined thee because stuct _eent needs them (and we
> > don't
> >  * want eent.h to include this file.
> >  */
> >
> > #include <sys/eent.h>
>                 ^
>                 reent.h
> >
> > any help would be appreciated 1. how to convert my whole file system
> > instead of 1 file at a time?
> > and 2. Is this file missing on everyone's system... hehe did I
> > accidently deleat it...
> 
> Looks like your /r got changed to / in stdio.h.
> 
> A little mis-type maybe? :)
> 
> You shouldn't need to convert the distribution files, just
> unpack them properly.  I used Winzip with no problems there.
> 
> As far as existing files you have a script above that should work.
> You could precede it with a grep so only the bad files would be
> modified.
> 
> A Perl script would probably be better.  Walk the tree finding
> all files with ^M in them and make a dir array, then run a tr on
> just those files.
> 
> --
>   ,-/-  __      _  _         $Bill Luebkert
>  (_/   /  )    // //       DBE Collectibles
>   / ) /--<  o // //      http://www.wgn.net/~dbe/
> -/-' /___/_<_</_</_    Email: [email-masked]

-- 
Jason L. Esman aka _Jman
System Admin. Network Consultant
Irc Admin of irc.lx.net(newnet)
Co. Owner of Den Internet Services
http://www.lx.net && http://www.deninc.com
PGP Keys finger [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".